Subject: Re: bug#58100: cbqn currently targets AVX2

From: Ludovic Courtès <[email-masked]>
Date: Mon, 07 Nov 2022 14:35:58 +0100

Hi,

Liliana Marie Prikler <[email-masked]> skribis:

> Am Sonntag, dem 06.11.2022 um 18:39 +0100 schrieb Ludovic Courtès:
>> Hi Liliana,
>> 
>> Liliana Marie Prikler <[email-masked]> skribis:
>> 
>> > * gnu/packages/bqn.scm (cbqn)[inputs]: Remove singeli-sources.
>> > [arguments]<#:make-flags: Replace “o3n-singeli” with “o3”.
>> > <#:phases>: Remove “link-singeli”.
>> 
>> This series of patches that you sent LGTM!
>> 
>> However, how does it relate to AVX2-specific builds?  
> IIUC, singeli is some tool that emits avx2-specific opcodes and the
> singeli builds of cbqn use that somehw; I admit, I do not completely
> understand what's going on on their side.

Oh, I see.

>> Anyhow, as you suggested in the thread, it’d be a good idea to add a
>> ‘tunable?’ property.
> Will simply adding (tunable? . #t) as a property be enough?  Also
> related to the signeli thing, do we have the means to create special
> build flows for tuned packages?

Yes, ci.guix builds tunable packages for several x86_64 ISA variants,
which are listed in (gnu ci).

Thanks,
Ludo’.